Bug 1966942 - After creating new host group or Http proxy, page doesn't redirect to main landing page.
Summary: After creating new host group or Http proxy, page doesn't redirect to main la...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Navigation
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.10.0
Assignee: Tomer Brisker
QA Contact: tstrych
URL:
Whiteboard:
: 1980313 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-02 08:06 UTC by Jameer Pathan
Modified: 2021-11-16 14:11 UTC (History)
7 users (show)

Fixed In Version: foreman-2.5.2.15-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:11:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33177 0 Normal New After creating new host group or Http proxy, page doesn't redirect to main landing page. 2021-07-29 08:55:04 UTC
Foreman Issue Tracker 33637 0 Normal Ready For Testing After creating new host group from help page, page doesn't redirect to main landing page. 2021-10-05 13:21:36 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:11:30 UTC

Description Jameer Pathan 2021-06-02 08:06:36 UTC
Description of problem:
After creating new Http proxy, page doesn't redirect to main landing page.

Version-Release number of selected component (if applicable):
- Satellite 6.10.0 snap 2

How reproducible:
- Always

Steps to Reproduce:
1. Go to Infrastructure > HTTP Proxies > New HTTP Proxy 
2. Add proxy Name and url
3. Click on submit

Actual results:
- Page doesn't redirect to main HTTP Proxy page

Expected results:
- Page redirects to main HTTP Proxy page and show all http proxies created.

Additional info:

Comment 2 Jameer Pathan 2021-07-02 09:25:21 UTC
I am seeing same behavior while creating a host group.

Comment 3 Tomer Brisker 2021-07-22 08:09:17 UTC
*** Bug 1980313 has been marked as a duplicate of this bug. ***

Comment 4 Tomer Brisker 2021-07-22 08:10:32 UTC
Jameer, is this still the case in more recent snaps?

Comment 5 Jameer Pathan 2021-07-26 09:22:24 UTC
(In reply to Tomer Brisker from comment #4)
> Jameer, is this still the case in more recent snaps?

Yes, I still see this issue on snap 10.

Comment 6 Tomer Brisker 2021-07-28 09:46:40 UTC
Further investigation:
Looks like this only occurs when the previous page is not the index page - e.g. when getting to the form directly from the login page, or from a welcome page when there are no resources of the type yet. When clicking on "create" button in the index page the redirect is done correctly. Updating component to Navigation.

Comment 7 Ondřej Ezr 2021-07-29 08:55:00 UTC
Created redmine issue https://projects.theforeman.org/issues/33177 from this bug

Comment 8 Bryan Kearney 2021-07-29 12:06:34 UTC
Upstream bug assigned to ymakias

Comment 9 Bryan Kearney 2021-07-29 12:06:39 UTC
Upstream bug assigned to ymakias

Comment 16 Bryan Kearney 2021-09-01 12:05:00 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33177 has been resolved.

Comment 20 tstrych 2021-09-23 15:39:48 UTC
Hi Tomer, this solution works for http proxies but it doesn't for host groups. Host groups are mentioned in comment #2.
 So I guess I should put it into Failed_qa. Let me know what do you think. Thanks

Comment 21 Tomer Brisker 2021-10-05 13:12:48 UTC
Looks like the hostgroups page indeed uses a different mechanism for the redirects. Please fail, i'll work on a fix for the hostgroups page as well.

Comment 22 Tomer Brisker 2021-10-05 13:21:37 UTC
Added new upstream issue with the fix for the hostgroups page.

Comment 23 tstrych 2021-10-06 07:55:09 UTC
FailedQA.

Comment 24 Tomer Brisker 2021-10-06 07:57:06 UTC
Additional upstream has been merged, moving to MODIFIED for cherry-picking to next snap.

Comment 26 tstrych 2021-10-14 12:18:05 UTC
Verified with sat 6.10 snap 22. 
Both http proxy and hostgroups works as expected.

Comment 29 errata-xmlrpc 2021-11-16 14:11:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.